# VectorNav C++ Library: vn::sensors::ImuRateConfigurationRegister Struct Reference

vn::sensors::ImuRateConfigurationRegister Struct Reference
Register Structures

Structure representing the IMU Rate Configuration register. More...

`#include <registers.h>`

## Public Member Functions

| ImuRateConfigurationRegister (uint16_t imuRateIn, uint16_t navDivisorIn, float filterTargetRateIn, float filterMinRateIn)
| Creates an initializes a new ImuRateConfigurationRegister structure. More...

## Public Attributes

uint16_t | imuRate
| The imuRate field.
uint16_t | navDivisor
| The navDivisor field.
float | filterTargetRate
| The filterTargetRate field.
float | filterMinRate
| The filterMinRate field.

## Detailed Description

Structure representing the IMU Rate Configuration register.

## Constructor & Destructor Documentation

vn::sensors::ImuRateConfigurationRegister::ImuRateConfigurationRegister | ( | uint16_t | imuRateIn,
|  | uint16_t | navDivisorIn,
|  | float | filterTargetRateIn,
|  | float | filterMinRateIn
| ) |  |

inline

Creates an initializes a new ImuRateConfigurationRegister structure.

Parameters

  [in] | imuRateIn | Value to initialize the imuRate field with.
  [in] | navDivisorIn | Value to initialize the navDivisor field with.
  [in] | filterTargetRateIn | Value to initialize the filterTargetRate field with.
  [in] | filterMinRateIn | Value to initialize the filterMinRate field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h